﻿*************************************************************************************
***self-reported version for KINDL Asthma-Modul
***KINDL_ChildrenAdolescents_Asthma_module_English.

***Remark:
*Higher values reflect better HrQoL.
*Items 1-12 are summarized on one scale
(see Bullinger et al. (2006) Quality of life—evaluation criteria for children with chronic conditions in medical care).
*Item 13-15 are additional information, which do not form a scale.

*********Recoding of raw scores.
*Negativly pooled items.
RECODE c_ast_01 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_01. 
RECODE c_ast_02 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_02. 
RECODE c_ast_03 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_03. 
RECODE c_ast_04 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_04. 
RECODE c_ast_05 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_05. 
RECODE c_ast_06 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_06. 
RECODE c_ast_07 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_07. 
RECODE c_ast_08 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_08. 
RECODE c_ast_09 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_09. 
RECODE c_ast_10 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_10. 
RECODE c_ast_11 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_11. 
RECODE c_ast_13 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_13. 
RECODE c_ast_14 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_14. 
RECODE c_ast_15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_15. 

*Positively pooled items gepolte Items.
RECODE c_ast_12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO p_xst_12. 

VARIABLE LABELS
c_xst_01 '... I woke up at night because of my asthma'
c_xst_02 '... I felt a growl or whistle while breathing'
c_xst_03 '... I was afraid of having an attack'
c_xst_04 '... inhaling and taking medication annoyed med'
c_xst_05 '... I felt ashamed because of my asthma'
c_xst_06 '... I was dissatisfied with him/herself because of hmy asthma'
c_xst_07 '... there was trouble at home because of my asthma'
c_xst_08 '... my parents forbade me things because of my asthma'
c_xst_09 '... I was teased by others because of my asthma'
c_xst_10 '... I was left out by others when they did things together, because of my asthma'
c_xst_11 '... I had trouble concentrating because of my asthma'
c_xst_12 '... I was just as good at sports as my classmates or friends'
c_xst_13 'How often during the past week did you have breathing complaints (asthma)'
c_xst_14 'How severe were your breathing complaints during the past week?'
c_xst_15 'How much did your breathing complaints bother my during the past week?'.
EXECUTE.

VALUE LABELS
c_xst_01 c_xst_02 c_xst_03 c_xst_04 c_xst_05 c_xst_06 c_xst_07 c_xst_08 c_xst_09 c_xst_10 c_xst_11 c_xst_13
1 'all the time'
2 'often'
3 'sometimes'
4 'seldom'
5 'never'.
EXECUTE.

VALUE LABELS
c_xst_14
1 'very severe'
2 'fairly severe'
3 'moderately severe'
4 'somewhat severe'
5 'none at all'.
EXECUTE.

VALUE LABELS
c_xst_15
1 'very much'
2 'fairly much'
3 'moderately'
4 'somewhat'
5 'not at all'.
EXECUTE.

VALUE LABELS
c_xst_12
1 'never'
2 'seldom'
3 'sometimes'
4 'often'
5 'all the time'.
EXECUTE.

****Total score.
*Calculating sum score.
COMPUTE ast_mean = mean.8(c_xst_01, c_xst_02, c_xst_03, c_xst_04, c_xst_05, c_xst_06, c_xst_07, c_xst_08, c_xst_09, c_xst_10, c_xst_11, c_xst_12).
EXECUTE.

COMPUTE ast_sum = ast_mean*12.
EXECUTE.

*Calculating scale transformed to 100.
COMPUTE ast_100 = ((ast_sum-12)/48)*100.
EXECUTE.

VARIABLE LABELS
ast_mean 'KINDL - Asthma-Module Mean'
ast_sum 'KINDL - Asthma-Module Sum'
ast_100 'KINDL - Asthma-Module 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.

